This is BIBasis.info, produced by Macaulay2, version 1.20

BIBasis -- Involutive Pommaret basis in a Boolean ring
******************************************************

Description
===========

BIBasis is the package which implements the methods for constructing the
reduced Pommaret and Gr\"obner bases in a Boolean ring for a given polynomial
Ideal.

Some references:

  * V. P. Gerdt and M. V. Zinin, Involutive Method for Computing Gr\"obner
    Bases over F_2. Programming and Computer Software, Vol. 34, No. 4, 2008,
    191-203.
  * V.P.Gerdt and M.V.Zinin. A Pommaret Division Algorithm for Computing
    Gr\"obner Bases in Boolean Rings. Proceedings of ISSAC 2008, ACM Press,
    2008, pp.95–102.
  * Vladimir Gerdt, Mikhail Zinin and Yuri Blinkov. On computation of Boolean
    involutive bases. Programming and Computer Software, Vol. 36, No. 2, 2010,
    117-123.

Author
======

  * Mikhail Zinin <mzinin@gmail.com>

Version
=======

This documentation describes version 0.6.3 of BIBasis.

Source code
===========

The source code from which this documentation is derived is in the file
BIBasis.m2 (see common/share/Macaulay2/BIBasis.m2 ).

Exports
=======

  * Functions and commands
      * biBasis -- constructs a reduced Boolean Gröbner basis
        for the given Ideal, if the second argument is true (default), and
        reduced Boolean Pommaret basis otherwise.
  * Methods
      * "biBasis(Ideal)" -- see biBasis, -- constructs a reduced
        Boolean Gröbner basis for the given Ideal, if the second argument is
        true (default), and reduced Boolean Pommaret basis otherwise.
  * Symbols
      * toGroebner (missing documentation)

For the programmer
==================

The object BIBasis, is a package (Macaulay2Doc).

biBasis -- constructs a reduced Boolean Gröbner basis for the given Ideal, if the second argument is true (default), and reduced Boolean Pommaret basis otherwise.
*******************************************************************************************************************************************************************

Synopsis
========

  * Usage:
        biBasis(I, toGroebner => true)
  * Inputs:
      * I, an ideal (Macaulay2Doc),
  * Optional inputs (Macaulay2Doc),:
      * toGroebner => ..., default value true
  * Outputs:
      * P, an ideal (Macaulay2Doc),

Description
===========

+---------------------------------------------+
|i1 : R = ZZ/2[x, y, MonomialOrder => GRevLex]|
|                                             |
|o1 = R                                       |
|                                             |
|o1 : PolynomialRing                          |
+---------------------------------------------+
|i2 : I = ideal(x*y + x + 1)                  |
|                                             |
|o2 = ideal(x*y + x + 1)                      |
|                                             |
|o2 : Ideal of R                              |
+---------------------------------------------+
|i3 : P = biBasis(I, toGroebner => true)      |
|                                             |
|o3 = ideal (x + 1, y)                        |
|                                             |
|o3 : Ideal of R                              |
+---------------------------------------------+

Caveat
======

  * biBasis assumes coefficient Ring of the given Ideal is ZZ/2
  * biBasis always treats the given Ideal as a Boolean one
  * biBasis assumes the following monomials orders: Lex, GLex, GRevLex

See also
========

  * gb (Macaulay2Doc) -- compute a Gröbner basis
  * gbBoolean (BooleanGB) -- Compute Groebner Basis
    for Ideals in Boolean Polynomial Quotient Ring

Ways to use biBasis :
=====================

  * "biBasis(Ideal)"

For the programmer
==================

The object biBasis, is a method function with options (Macaulay2Doc).

toGroebner
**********

Functions with optional argument named toGroebner :
===================================================

  * "biBasis(...,toGroebner=>...)" -- see biBasis, -- constructs
    a reduced Boolean Gröbner basis for the given Ideal, if the second
    argument is true (default), and reduced Boolean Pommaret basis otherwise.

For the programmer
==================

The object toGroebner (missing documentation) is a symbol (Macaulay2Doc).